### Virtual Method

# Ide Indenter is_trigger

#### Declaration

    gboolean
    is_trigger (
      IdeIndenter* self,
      GdkEventKey* event
    )

#### Description

Determines if `event` should trigger an indentation request. If `TRUE` is returned then `ide_indenter_format()` will be called.

If `self` is `NULL`, the fallback indenter is used, which tries to mimic the default indentation style of `GtkSourceView`.

Available since: | 3.32

#### Parameters

`event` | `GdkEventKey`
| A `GdkEventKey`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `event` should trigger an indentation request.